Package com.ocient.jdbc.proto

# Enum PlanProtocol.GatherLevel

java.lang.Object
java.lang.Enum<PlanProtocol.GatherLevel>
com.ocient.jdbc.proto.PlanProtocol.GatherLevel

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<PlanProtocol.GatherLevel>`, `java.lang.constant.Constable`

Enclosing class:
  PlanProtocol

    public static enum PlanProtocol.GatherLevel
    extends Enum<PlanProtocol.GatherLevel>
    implements com.google.protobuf.ProtocolMessageEnum

    TODO(N_LEVELS): This will need to be changed, probabaly from an enum to an int when we generify the concept of levels

Protobuf enum `xg.db.sqlPlans.GatherLevel`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`COORD` | `COORD = 2;`
`LEVEL_INVALID` | `LEVEL_INVALID = 0;`
`SUPER_COORD` | `SUPER_COORD = 1;`
`UNRECOGNIZED` |

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `COORD_VALUE` | `COORD = 2;`
`static int` | `LEVEL_INVALID_VALUE` | `LEVEL_INVALID = 0;`
`static int` | `SUPER_COORD_VALUE` | `SUPER_COORD = 1;`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static PlanProtocol.GatherLevel` | `forNumber​(int value)` |
`static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()` |
`int` | `getNumber()` |
`com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()` |
`static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.GatherLevel>` | `internalGetValueMap()` |
`static PlanProtocol.GatherLevel` | `valueOf​(int value)` | Deprecated.
`static PlanProtocol.GatherLevel` | `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` | Returns the enum constant of this type with the specified name.
`static PlanProtocol.GatherLevel` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static PlanProtocol.GatherLevel[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEVEL_INVALID

public static final PlanProtocol.GatherLevel LEVEL_INVALID
`LEVEL_INVALID = 0;`

### SUPER_COORD

public static final PlanProtocol.GatherLevel SUPER_COORD
`SUPER_COORD = 1;`

### COORD

public static final PlanProtocol.GatherLevel COORD
`COORD = 2;`

### UNRECOGNIZED

public static final PlanProtocol.GatherLevel UNRECOGNIZED

## Field Details

### LEVEL_INVALID_VALUE

public static final int LEVEL_INVALID_VALUE
`LEVEL_INVALID = 0;`

See Also:
  Constant Field Values

### SUPER_COORD_VALUE

public static final int SUPER_COORD_VALUE
`SUPER_COORD = 1;`

See Also:
  Constant Field Values

### COORD_VALUE

public static final int COORD_VALUE
`COORD = 2;`

See Also:
  Constant Field Values

## Method Details

### values

public static PlanProtocol.GatherLevel[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PlanProtocol.GatherLevel valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static PlanProtocol.GatherLevel valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static PlanProtocol.GatherLevel forNumber​(int value)

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<PlanProtocol.GatherLevel> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static PlanProtocol.GatherLevel valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null